@import url("https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");

/* Designed by: https://github.com/ukahchu */

/*start of color snipet: The code snippet defines CSS custom properties 
(also known as CSS variables) using the :root selector. These custom properties
 are used to store values such as colors, font sizes, and max-width. This code 
 snippet can be used at the beginning of a CSS file to define 
custom properties that can be used throughout the rest of the stylesheet
For example, the --primary-color property can be used to set the color of 
buttons, headings, or other elements consistently throughout the website.*/

:root {
  --primary-color: #5484dd;
  --primary-color-dark: #112b5a;
  --text-dark: #333333;
  --text-light: #767268;
  --extra-light: #f5f6f8;
  --white: #ffffff;
  --max-width: 1200px;
}
/*End of color snipet*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
/*Start of styles for Header section*/

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

.section__header {
  font-size: 2rem;
  font-weight: 700;
  color: var(--text-dark);
}

.section__description {
  margin-top: 1rem;
  max-width: 600px;
  color: var(--text-light);
}

.btn {
  padding: 0.75rem 2rem;
  font-size: 1rem;
  color: var(--white);
  background-color: var(--primary-color);
  outline: none;
  border: none;
  border-radius: 2px;
  white-space: nowrap;
  cursor: pointer;
  transition: 0.3s;
}

.btn:hover {
  background-color: var(--primary-color-dark);
}

img {
  width: 100%;
  display: flex;
}

a {
  text-decoration: none;
}

ul {
  list-style: none;
}

.logo {
  max-width: 150px;
}

html,
body {
  scroll-behavior: smooth;
}

body {
  font-family: "Open Sans", sans-serif;
}

.header {
  padding-top: 4rem;
  background-image: linear-gradient(
      rgba(17, 43, 90, 0.7),
      rgba(17, 43, 90, 0.7)
    ),
    url("assets/header.jpg");
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

/*Start of style for flight deals*/
.header__sub {
  padding-top: 4rem;
  background-image: linear-gradient(
      rgb(143, 177, 241),
      rgba(247, 250, 255, 0.7)
    ),
    url("assets/header.jpg");
  background-position: top top;
  background-size: contain;
  background-repeat: no-repeat;
}

/*End of style for flight deals*/
nav {
  position: fixed;
  isolation: isolate;
  top: 0;
  width: 100%;
  max-width: var(--max-width);
  margin: auto;
  z-index: 9;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.nav__bar {
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
  background-color: var(--primary-color-dark);
}

.nav__menu__btn {
  font-size: 1.5rem;
  color: var(--white);
  cursor: pointer;
}

.nav__links {
  position: absolute;
  width: 100%;
  padding: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  background-color: var(--primary-color);
  transform: translateY(-100%);
  transition: 0.5s;
  z-index: -1;
}

.nav__links.open {
  transform: translateY(0);
}

.nav__links a {
  color: var(--white);
  transition: 0.3s;
}

.nav__links a:hover {
  color: var(--primary-color-dark);
}

.header__container {
  max-width: 900px;
}

.header__container h1 {
  margin-bottom: 1rem;
  font-size: 3rem;
  font-weight: 700;
  color: var(--white);
  text-align: center;
}
.header__container p {
  max-width: 600px;
  margin-inline: auto;
  margin-bottom: 4rem;
  color: var(--white);
  text-align: center;
}

/*start of styles for Dubai visa services page*/
.booking-option.active {
  background-color: #007bff;
  color: white;
}

/*start of styles for Dubai visa services page*/

/*Booking section styling start*/

.booking {
  max-width: 400px;
  margin: auto;
  padding: 1.5rem 1rem;
  gap: 1.5rem;
  background-color: rgba(255, 255, 255, 0.2);
  border-radius: 2px;
}

.booking__type {
  width: fit-content;
  padding: 5px;
  display: grid;
  grid-template-columns: max-content max-content max-content max-content;
  align-items: center;
  background-color: var(--primary-color);
  border-radius: 2px;
}

.booking__type > div {
  padding: 10px;
  color: var(--white);
  border-radius: 2px;
  cursor: pointer;
  transition: 0.3s;
}

.booking__type > :is(div:hover, div.active) {
  color: var(--primary-color);
  background-color: var(--white);
}

.booking__form {
  padding: 1.5rem 1rem;
  display: grid;
  align-items: center;
  gap: 1rem;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 2px;
}

.booking__input {
  display: grid;
  gap: 5px;
}
/*styling the input field for booking form*/
.input-icon {
  position: relative;
  display: inline-block;
}

.input-icon .ri-flight-takeoff-fill,
.input-icon .ri-flight-land-line,
.input-icon .ri-calendar-2-line {
  position: absolute;
  left: 10px;
  top: 50%;
  padding-right: 5px;
  transform: translateY(-50%);
  pointer-events: none;
}

.input-icon input {
  padding-left: 35px; /* Adjust padding to ensure text does not overlap the icon */
  width: 250px; /* Adjust width as needed */
  height: 37px;
}
/*end of styling for input field for booking form*/

.booking__input label {
  font-size: 0.9rem;
  font-weight: 500;
  color: var(--white);
}

.booking__input input {
  width: 100%;
  padding: 0.5rem;
  font-size: 1rem;
  color: var(--text-dark);
  border: 1px solid var(--extra-light);
  border-radius: 2px;
}
.booking__input input {
  padding-left: 35px;
}
.booking__btn {
  text-align: right;
}

/*Booking section styling End*/

/*End of styles for Header section*/

/*Start of Flights section styles*/

.service__grid {
  margin-top: 4rem;
  display: grid;
  gap: 1rem;
}

.service__card {
  padding: 1rem;
  display: flex;
  gap: 1rem;
  flex-direction: column;
  border-radius: 2px;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
  transition: 0.3s;
}

.service__card:hover {
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.2);
}

.service__card img {
  max-width: 300px;
  margin: auto;
  border-radius: 2px;
  transition: transform 0.3s ease-in-out; /* Smooth transition for transform */
}
.service__card img:hover {
  transform: scale(1.1); /* Increase the scale to 1.1 times the original size */
}
.service__card > div {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.service__card h4 {
  margin-bottom: 0.5rem;
  font-size: 1.2rem;
  font-weight: 800;
  color: var(--text-dark);
}

.service__card p {
  margin-bottom: 0.5rem;
  color: var(--text-light);
}

.service__btn {
  text-align: right;
}

.service__btn a {
  color: var(--extra-light);
}
/*End of Flights section styles*/

/*Start of flight offers section*/
.offer__header {
  display: flex;
  gap: 2rem;
  flex-direction: column;
}
.offer__header a {
  color: var(--primary-color);
  transition: 0.3s;
}
.offer__header a:hover {
  color: var(--primary-color-dark);
}
.offer__grid {
  margin-top: 4rem;
  display: grid;
  gap: 1rem;
}
.offer__card {
  padding: 1rem;
  border-radius: 2px;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
  transition: 0.3s;
}
.offer__card:hover {
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.2);
}
.offer__card img {
  margin-bottom: 1rem;
  border-radius: 2px;
  transition: transform 0.3s ease-in-out; /* Smooth transition for transform */
}
.offer__card img:hover {
  transform: scale(1.1); /* Increase the scale to 1.1 times the original size */
}
.offer__card h4 {
  margin-bottom: 0.5rem;
  font-size: 1.2rem;
  font-weight: 800;
  color: var(--text-dark);
}
.offer__card p {
  margin-bottom: 1rem;
  color: var(--text-light);
}
.offer__card > div {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.offer__card span {
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--primary-color);
}
/*End of flight offers section*/

/*Start of styles for about section*/
.about__container {
  display: grid;
  gap: 2rem;
}
.about__image img {
  max-width: 300px;
  margin: auto;
  transition: transform 0.3s ease-in-out; /* Smooth transition for transform */
}
.about__image img:hover {
  transform: scale(1.1); /* Increase the scale to 1.1 times the original size */
}
.about__content ul {
  margin-block: 2rem;
  display: grid;
  gap: 1rem;
}
.about__content li {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  color: var(--text-light);
}
.about__content li span {
  font-size: 1.2rem;
  color: var(--primary-color);
}
.about__links {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.about__links img {
  max-width: 150px;
  height: 100%;
  transition: transform 0.3s ease-in-out; /* Smooth transition for transform */
}
.about__links img:hover {
  transform: scale(1.1); /* Increase the scale to 1.1 times the original size */
}
/*End of styles for about section*/

/*Start of testimonial carousel*/
.client {
  background-color: var(--extra-light);
}
.swiper {
  width: 100%;
  padding-top: 4rem;
  margin-top: 2rem;
}
.swiper-slide {
  max-width: 400px;
}
.client__card {
  padding: 2rem;
  padding-top: 0;
  text-align: center;
  background-color: var(--white);
  border-radius: 2px;
}
.client__card img {
  max-width: 80px;
  margin: auto;
  transform: translateY(-50%);
  border-radius: 100%;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.2);
}
.client__card h4 {
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--text-dark);
}
.client__card p {
  color: var(--text-light);
}
.client__ratings {
  margin-block: 1rem;
  color: goldenrod;
}
/*End of testimonial carousel*/

/*Start of footer styles*/
.footer {
  background-color: var(--primary-color-dark);
}
.footer__container {
  display: grid;
  gap: 4rem 2rem;
}
.footer__col p {
  margin-block: 2rem;
  color: var(--white);
}
.footer__socials {
  display: flex;
  align-items: center;
  gap: 1rem;
  flex-wrap: wrap;
}
.footer__socials a {
  padding: 5px 10px;
  font-size: 1.25rem;
  color: var(--primary-color);
  background-color: var(--white);
  border-radius: 100%;
  transition: 0.3s;
}

.footer__socials a:hover {
  color: var(--white);
  background-color: var(--primary-color);
}
.footer__col h4 {
  margin-bottom: 2rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--white);
}
.footer__links {
  display: grid;
  gap: 1rem;
}
.footer__links li a {
  display: flex;
  align-items: center;
  gap: 10px;
  color: var(--white);
  transition: 0.3s;
}
.footer__links li a:hover {
  color: var(--primary-color);
}
.footer__links li span {
  font-size: 1.25rem;
}
.footer__col form {
  display: grid;
  gap: 1rem;
}
.footer__col input {
  padding: 0.75rem;
  font-size: 1rem;
  color: var(--white);
  background: transparent;
  border: 1px solid var(--white);
  border-radius: 5px;
}
.footer__col input::placeholder {
  color: var(--white);
}
.footer__col .btn:hover {
  color: var(--primary-color);
  background-color: var(--white);
}
/*Footer style is generated from the linked js file
.footer_bar {
  padding: 1rem;
  font-size: 0.8rem;
  color: var(--white);
  text-align: center;
}
*/
/*End of footer styles*/

/*Start of Media Queries for screens above 576px*/
@media (width > 576px) {
  .service__card {
    flex-direction: row;
  }
  .service__card img {
    max-width: 200px;
  }
  .offer__grid {
    grid-template-columns: repeat(2, 1fr);
  }
  .offer__header {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }
  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
  .footer__col:last-child {
    grid-area: 2/1/3/2;
  }
}

/*End of Media Queries for screens above 576px*/

/*Start of Media Queries for screens above 767*/

@media (width > 768px) {
  nav {
    padding: 2rem 1rem;
    position: static;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  .nav__bar {
    padding: 0;
    background-color: transparent;
  }
  .nav__menu__btn {
    display: none;
  }
  .nav__links {
    padding: 0;
    width: unset;
    position: static;
    transform: none;
    flex-direction: row;
    background-color: transparent;
  }
  .header {
    padding-top: 0;
  }
}
/*End of Media Queries for screens above 767*/

/*Start of styling for trip routes*/

.booking {
  max-width: 100%;
  padding: 1.5rem;
}

.booking__form {
  padding: 1.5rem;
  grid-template-columns: repeat(3, 1fr);
}

/*End of styling for trip routes*/

.service__grid {
  grid-template-columns: repeat(2, 1fr);
}
.offer__grid {
  grid-template-columns: repeat(3, 1fr);
}
.about__container {
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
}
.footer__container {
  grid-template-columns: 2fr 1fr 1fr 1.5fr;
}
.footer__col:last-child {
  grid-area: unset;
}
